%define name    ocaml-ounit
%define version 1.1.1
%define release %mkrel 1

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    Unit test framework for OCaml
Group:      Development/Other
License:    MIT
URL:        http://ounit.forge.ocamlcore.org/
Source0:    http://forge.ocamlcore.org/frs/download.php/762/ounit-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  camlp4
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

%description
OUnit is a unit test framework for OCaml. It allows one to easily
create unit-tests for OCaml code. It is based on HUnit, a unit testing
framework for Haskell. It is similar to JUnit, and other xUnit testing
frameworks.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n ounit-%{version}

%build
ocaml setup.ml -configure
ocaml setup.ml -build

%check
ocaml setup.ml -test

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
ocaml setup.ml -install


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt
%dir %{_libdir}/ocaml/oUnit
%{_libdir}/ocaml/oUnit/*.cmi
%{_libdir}/ocaml/oUnit/*.cma
%{_libdir}/ocaml/oUnit/META

%files devel
%defattr(-,root,root)
%doc LICENSE.txt README.txt doc
%{_libdir}/ocaml/oUnit/*.a
%{_libdir}/ocaml/oUnit/*.cmxa
%{_libdir}/ocaml/oUnit/*.mli


%changelog

* Wed Jan 18 2012 malo <malo> 1.1.1-1.mga2
+ Revision: 197975
- new version 1.1.1

* Sun Oct 02 2011 shlomif <shlomif> 1.1.0-3.mga2
+ Revision: 151027
- Rebuild for the new ocaml. Thanks to Malo

* Sun Sep 25 2011 shlomif <shlomif> 1.1.0-2.mga2
+ Revision: 147743
- Add a missing BuildRequires - thanks to Malo.
- New version - thanks to Malo.

* Sat Apr 30 2011 pterjan <pterjan> 1.0.3-5.mga1
+ Revision: 93944
- Bump release higher than Mandriva

* Mon Mar 07 2011 saispo <saispo> 1.0.3-1.mga1
+ Revision: 66234
- imported package ocaml-ounit

